What is Puran File Recovery
 Top Next
· Puran File Recovery can be used to recover deleted/lost files/partitions. Files can be recovered from formatted disks too. Almost everything that is detected as a drive by Windows can be scanned irrespective of its file system. Be it Hard Disks, Pen Drives, Memory Cards, Mobile Phones, CDs, DVDs, basically any storage medium.


Scan
 Previous Top Next

· With its extremely powerful engine, Puran File Recovery can scan for almost everything.

· It provides 3 types of scan -

· Quick Scan This is a simple file system scan and usually take few seconds to finish. This type of scan simply scans for file records that are just marked deleted but their record is not lost. In most cases, this scan should be enough. It supports FAT12, FAT16, FAT32 and NTFS file systems. If no option is selected, Quick Scan is performed.

· Deep Scan When you are not able to recover your files with Quick Scan, you should try Deep Scan. This option performs a Quick Scan plus scans entire free space of the selected drive byte by byte and tries to find following format files -

JPG BMP PNG GIF MP3 WAV OGG WMA WMV DOC XLS PPT DOCX XLSX PPTX PDF ZIP RAR MP4 AVI CAB RTF NEF CR2 DNG PST OST MPG ODT ODS ODP ODB ODG ODF

In addition, if Scan Custom List Option is selected, the formats range extends to user's choice. You can add hundreds of formats (Editing formats list is strictly for advanced users only) and make this software your personal forensic lab.

In addition, if Find Lost Files Option is selected, Deep Scan also detects the file records that were lost. This ensures that where ever possible you get the file name and in many cases file path too. Also, since files are listed as per the information in the record, recovery is mostly more accurate. At times, you may see files that you do not recognize at all, these files are actually random data on your disk falsely detected as files. It is a result of less strict algorithm to get maximum records. Just ignore them.

Deep Scan is not restricted by File System Type, any File System Drive including RAW and Physical Drives can be scanned. When Physical Drives are scanned, all files irrespective of their deletion status are listed. Scanning a Physical Drive should be the last option.

In all, if Quick Scan does not do the job for you, you should select Deep Scan + Find Lost Files + Scan Custom List as your second option.

· Full Scan This performs a Quick Scan plus Deep Scan on Entire Drive and not just on free space. Full Scan also scans for lost partitions and when listing, associates scanned files with their respective partitions by prefixing Vol1, Vol2 and so on to their path. Find Lost Files must be selected for enabling lost partition scan.

It provides a great way to recover files from formatted disks or deleted partitions from physical drives.

· Condition There can be four conditions of a file, Excellent, Good, Poor and Multiple. Multiple condition is when multiple partitions are found and a file can be associated with more than one of them.

All conditions marked are indicative only. There are fair chances of recovery even if the file is marked poor.


Recover
· You can recover as easily as you deleted the file.

· You get 3 options when you click on Recover button.

· Just Recover When you click on this option, you are asked to select a destination folder and selected files are simply saved there. If destination folder contains files with same name, new files are renamed and then saved.

· Recover With Folder Structure This option will save files with their folder structure intact. This means, if a scanned file path is suppose E:\Trips\Location\MyPhoto.jpg and if we choose to save it to F:\abc then MyPhoto.jpg will be saved in F:\abc\Trips\Location. If Trips and Location folder do not exist, this option will create them.

· Recover With Custom Size During Deep Scan, there are times when size of file is not accurately calculated and hence recovery of file becomes difficult. This can be resolved by using this option. This option allows you to specify custom size of the file to be recovered. More details are provided when you click this recovery method.

· Partition Recovery When Full Scan and Find Lost Files is selected, multiple partition may be found and file's path is prefixed with Vol1, Vol2 and so on respectively. When recovering, you can change the default partition association of a file. It is recommended that you go with the one already selected but in a case when you suspect the association, you can try recovering file by associating it with different partitions.

In above, the size of the partition is approx and may not be accurate at times.


Search
· Once files are scanned, you can easily search for the file you want by typing its name or part of name using wildcards ? and *. There is also a predefined list of types of files including Pictures, Music, Videos, Documents, Compressed.

· If you want to say search for files starting with 'a' then you can simply type a* and press enter. Likewise, if you want to search for all files with extension abc, you can simply search for *.abc.


Preview Window
· Puran File Recovery provides a real time preview of the deleted files. If an image file is less than 10 MB, it is displayed in the preview window. For all other files, first 1024 bytes are shown in the preview window in their HEX and ASCII forms. Preview can be disabled by unchecking Show Preview checkbox.


Custom Scan List
· Editing Custom Scan List is strictly for advanced users.

· As you now know that Deep Scan scans a drive byte by byte to detect files of different formats. There are many famous formats included internally by Puran File Recovery and many are pre loaded to the Custom Scan List.

· You can even add your own file formats or any data pattern you want to scan for, using a very simple interface. This extends the possibility of adding hundreds of file formats / data patterns, making Puran File Recovery your personal forensic lab.

· All you need to do is click on Edit button and then Add to get the following window -

· Type in the Name you want to give to your format/pattern.

· Type in the extension you want to give to the files detected.

· Now either Start Bytes or Offset Bytes or both must be specified.

· These can be specified in HEX or ASCII. When specifying in HEX, there should not be any space and one byte should be represented by two characters like for 1, you must type 01.

· The second box in the offset bytes is for offset at which these bytes can be found. It can be upto 511.

· There are three options to find size once start/offset bytes are found -

- Direct Size If you know usual size of such format files, this is the best option and quickest one. You can simply type in a size and all such files will be recovered with specified size. Minor adjustments can be made with Recover with Custom Size option.

- Size at Offset If such format files store size at a particular offset after start bytes, such offset can be defined in Size Offset first box. The second box is for number of bytes it takes to store the size and little endian and big endian format can be selected as applicable.

- Look for End Bytes If you know such format ends with a particular pattern of bytes, you can enter End Bytes in HEX or ASCII format.

· In the last box, you can specify the maximum size, a file of such format can have. In other words, for how long End Bytes should be looked for. Keep it under 1 GB if possible.

· Once all fields are filled, simply click OK and this is it. You have just added a new format/pattern.

· All Data Patterns are stored in Puran File Recovery installation folder in PFRCustomList file. You should make a copy of this file, if you want to preserve your added formats for future use.


Check For Updates
· You can simply check for updates by clicking on the top left icon on the main interface and opening About dialog. If you are using Puran File Recovery as part of Puran Utilities, this update button wont be available as Puran Utilities update will include everything.


Contact Us
 Previous Top
· You may contact us at support@puransoftware.com

OR

· Puran Chand Gupta
PWD Colony
Kathua (J&K), India

Phone (+91) 9419150051